#ifndef __STK_SDL
#define __STK_SDL

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#ifdef WIN32
#include <windows.h>
#endif

#include <GL/gl.h>
#include "SDL.h"
#include "stk_message.h"

// the init fucntion to sdl
int Stk_InitGL(int size_x,int size_y);

// quit function: restore init state
void Stk_QuitGL();

// the Event Loop
int Stk_EventLoop(Stk_Looper *looper);

// Swap front & back buffers
int Stk_SwapBuffers();


#endif
